Method: spaces.messagePins.delete

Deletes a message pin.

Requires user authentication with one of the following authorization scopes:

  • https://www.googleapis.com/auth/chat.spaces.pins
  • https://www.googleapis.com/auth/chat.spaces

HTTP request

DELETE https://chat.googleapis.com/v1/{name=spaces/*/messagePins/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the message pin to remove. Format: spaces/{space}/messagePins/{messagePin}

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.spaces.pins
  • https://www.googleapis.com/auth/chat.spaces

For more information, see the Authorization guide.